Almirah.Code - CodeTask #8

Feature # 3 (Closed): Specifications Traceability

Implement Traceability check between specifications
01/22/2024 05:29 PM - Oleksandr Ivanov

Status: Closed Start date: 01/22/2024
Priority: Normal Due date: 02/05/2024
Assignee: Oleksandr Ivanov % Done: 100%
Category: Estimated time: 20:00 hours
Target version: 0.0.3 Spent time: 11:00 hours
Description

In scope of Specifications Traceability feature (#3) we need some script that will check if all the items from higher specification are

linked (referenced) to the lower specification.

It is preferable to visualize these links by a conversion of specifications from Markdown to HTML format.

History

#1 - 01/24/2024 05:51 PM - Oleksandr lvanov

- Status changed from New to In Progress

#2 - 01/24/2024 06:03 PM - Oleksandr lvanov

- % Done changed from 0 to 60

Baseline version of Almirah script is implemented.
Limitations:

1. Only a few Markdown tags are supported for now
2. There is no CSS formatting on the page (raw html)

#3 - 01/24/2024 06:08 PM - Oleksandr lvanov
Gem code is checked-in (1a9045f1)

#4 - 01/24/2024 06:10 PM - Oleksandr lvanov

Code changes were reviewed in https:/github.com/OleksandrlvanovDev/Almirah.Code/pull/2

#5 - 01/24/2024 06:11 PM - Oleksandr lvanov
- % Done changed from 60 to 80

Gem Almirah v. 0.0.3 was published

#6 - 01/24/2024 06:53 PM - Oleksandr lvanov
- Status changed from In Progress to Closed

- % Done changed from 80 to 100
https://www.almirah.site/redmine/issues/3
https://www.almirah.site/redmine/projects/almirah-code/repository/almirah-code/revisions/1a9045f1cc648009b780f2ba51d154a365e5802c
https://github.com/OleksandrIvanovDev/Almirah.Code/pull/2
http://www.tcpdf.org

